h24587
s 00001/00001/00061
d D 1.8 83/03/06 20:37:04 mjb 8 7
c 
e
s 00001/00001/00061
d D 1.7 83/03/04 14:15:48 mjb 7 6
c 
e
s 00002/00001/00060
d D 1.6 83/03/03 22:34:13 mjb 6 5
c 
e
s 00002/00002/00059
d D 1.5 83/03/02 18:36:37 mjb 5 4
c put in tty's calls
e
s 00003/00004/00058
d D 1.4 83/03/02 18:28:23 mjb 4 3
c changed call to gdev's to tty's
e
s 00007/00002/00055
d D 1.3 83/01/30 18:29:31 mjb 3 2
c error reporting bug fixing
e
s 00001/00000/00056
d D 1.2 83/01/29 16:39:39 mjb 2 1
c put in call to gdevin for warning errors
e
s 00056/00000/00000
d D 1.1 83/01/28 19:28:01 mjb 1 0
c date and time created 83/01/28 19:28:01 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine errmsg (type, errnum)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Output an error message                                #
#                                                                      #
#     Input Parameters:                                                #
#            type - 0 = fatal, 1 = warning                             #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer type, errnum

D 4
SHORTINT opmnmg(23), crmnmg(37), mgraph(8)
I 3
integer temp
E 4
I 4
SHORTINT opmnmg(23), crmnmg(37), mgraph(8), temp
E 4
E 3

data mgraph /BIGG,BIGR,BIGA,BIGP,BIGH,COLON,SPACE,NUL/
data opmnmg /BIGC,LETA,LETN,LETN,LETO,LETT,SPACE,LETO,LETP,LETE,LETN,
	     SPACE,LETM,LETE,LETN,LETU,SPACE,LETF,LETI,LETL,LETE,PERIOD,
	     NUL/
data crmnmg /BIGC,LETO,LETR,LETR,LETU,LETP,LETT,LETE,LETD,SPACE,LETM,
	     LETE,LETN,LETU,SPACE,LETF,LETI,LETL,LETE,COMMA,SPACE,LETC,
	     LETA,LETN,LETN,LETO,LETT,SPACE,LETP,LETR,LETO,LETC,LETE,LETE,
	     LETD,PERIOD,NUL/

call revers (1)
D 4
call gdevot (BEL)
E 4
I 4
D 5
call ttyout (BEL)
E 5
I 5
D 6
ifdef(`UNIX',`call gdevot (BEL)',`call ttyout (BEL)')
E 6
I 6
temp = BEL
call ttyout (temp)
E 6
E 5
E 4
D 3
call qtext (1,1,mgraph)
E 3
if (errnum == OPENxMENUxERROR) { 
I 3
   call qtext (1,1,mgraph)
E 3
   call qtext (1,8,opmnmg) 
   }
else if (errnum == CORRUPTxMENUxERROR) {
I 3
   call qtext (1,1,mgraph)
E 3
   call qtext (1,8,crmnmg)
   }
else {
   call apmesg (errnum, 1)    # Appear message in reverse video
   }
if (errnum >= OPENxHERSHYxERROR) call movcur (2,1)
call revers (0)

# if fatal error call to close all open files and stop
if (type == STOP) call alclos
I 2
D 3
else call gdevin (type)
E 3
I 3
else {
D 4
   call gdevin (temp)
E 4
I 4
D 5
   call ttyin (temp)
E 5
I 5
D 7
   ifdef(`UNIX',`call gdevin (temp)',`call ttyin (temp)')
E 7
I 7
D 8
   call gtty (temp)
E 8
I 8
   call ttyin (temp)
E 8
E 7
E 5
E 4
   call dlmesg (errnum)
   }
E 3
E 2

return
end
E 1
